Changes between Version 1 and Version 3 of Ticket #1658


Ignore:
Timestamp:
2012-03-16T07:28:11Z (9 years ago)
Author:
zooko
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #1658 – Description

    v1 v3  
    11Let's drop support for versions of Python < 2.6. According to distrowatch's tables about the versions of packages that come with distros, this would exclude Tahoe-LAFS 1.10 from being usable with the included Python on the following versions of major distros:
    22
    3 ||= distro =||= excluded version =||= excluded version release date =||= oldest supported version =||= oldest supported release date =||= Python in oldest supported =||= notes =||= next version =||= Python in next version =||
     3||= distro =||= excluded version =||= excluded version release date =||= oldest supported version of the operating system =||= oldest supported release date =||= Python in oldest supported =||= notes =||= next version =||= Python in next version =||
    44||=[http://distrowatch.com/table.php?distribution=fedora Fedora]   =||=10  =||=2008-11-25 =||=15        =||=2011-05-24 =||=2.7 =||= =||=rawhide will be 17 =||=2.7.2 =||
    55|| [http://distrowatch.com/table.php?distribution=ubuntu Ubuntu]    || 8.10 || 2008-10-30  || 10.04 LTS  || 2010-04-29  || 2.6  || || will be 12.04 precise ||2.7.2 ||